Get List of Files/ Folders
Fetches list of files and folders from the media storage
GET
/
medias
/
files
Get List of Files/ Folders
curl --request GET \
--url https://services.leadconnectorhq.com/medias/files \
--header 'Authorization: <authorization>'const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://services.leadconnectorhq.com/medias/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/medias/files"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text){
"files": {
"altId": "locationId",
"altType": "location",
"name": "file name",
"parentId": "parent folder id",
"url": "file url",
"path": "file path"
}
}Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get List of Files/ Folders
curl --request GET \
--url https://services.leadconnectorhq.com/medias/files \
--header 'Authorization: <authorization>'const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://services.leadconnectorhq.com/medias/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/medias/files"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text){
"files": {
"altId": "locationId",
"altType": "location",
"name": "file name",
"parentId": "parent folder id",
"url": "file url",
"path": "file path"
}
}